*{
    margin: 0;
    padding: 0;
}

.vws-body {
    font-family: "Moderustic", sans-serif;
    background-color: rgba(31, 30, 30, 0.507);
    background-image: linear-gradient(rgba(31, 30, 30, 0.507), rgba(31, 30, 30, 0.507)), url('assets/VWS/VWS_background.jpg');
    background-size: cover;
}

html {
    scroll-behavior: smooth;
}

p {
    color: rgb(187, 178, 178);
}

a {
    text-decoration: none;
    transition: all 300ms ease;
}

.title {
    color: white;
    position: center; 
    font-size: 9rem;
}
 
h3 {
    color: white;
}

:root {
    interpolate-size: allow-keywords;
}

/* HOME SECTION */

#home {
    position: relative;
}

.vws-header {
    display: flex;
    height: 10vh;
}

.header-home {
    color: white;
    font-size: 4rem;
    margin-left: 103rem;
    margin-top: 3rem;
    transition: 0.3s ease;
}

.header-home:hover {
    color: rgb(163, 162, 162);
    text-decoration: underline;
    transition: 0.3s ease;
}

.vws-nav {
    display: flex;
    padding-right: 2rem;    
}

.nav-image-container {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 50vh;
    margin-top: 5rem;
    gap: 2rem;
}

.nav-image {
    position: relative;
    width: 600px;
    height: 400px;
    cursor: pointer;
    overflow: hidden;
    transition: 0.3s ease;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    transition: 0.3s ease;
    opacity: 0;
}

.overlay h1{
    color:#fff;
    font-size: 45px;
    text-align: center;
    margin-top: 50px;
}

.nav-image:hover .nav-image {
    transform: scale(1.1);
}

.nav-image:hover .overlay {
    opacity: 1;
}

.nav-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.title-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
    margin-bottom: 5rem;
}

/* ABOUT SECTION */ 

#about {
    position: relative;
}

.about-title-container {
    height: 20vh;
    width: 50vw;
    margin-left: 4rem;
    margin-top: 10rem;
}

.about-title {
    position: absolute;
    color: white;
    font-size: 8rem;
    margin-bottom: 1rem;
    width: 100%;
    top: 4rem;
    line-height: 1.1;
    font-family: 'Georgia Pro Condensed', serif;
    font-weight: 100;
}

.big-info-container {
    position: relative;
    height: 100vh;
    width: 90vw;
    margin-top: 3rem;
    margin-bottom: 3rem;
    margin-left: 6rem;
}

.info-container {
    align-self: flex-end;
    width: 40%;
    margin-left: 4rem;
}

.info {
    margin-top: 2rem;
    transition: all 300ms ease;
}

.info:hover {
    padding: 1.5rem;
    flex: 1;
    background: rgba(20, 46, 29, 0.582) 0.1rem;
    border: rgb(255,255,255) 0.1rem solid;
    border-radius: 2rem;
    border-color: rgb(163, 163, 163);
    transition: all 300ms ease;
}

.info-title {
    color: white;
    font-size: 2rem;
    margin-bottom: 1rem;
    font-family: 'Gotham', sans-serif;
}

.info-text {
    font-family: 'Gotham', serif;
    font-size: 1.5rem;
}

.tech-container {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    justify-content: space-between;
    position: absolute;
    top: 11rem;
    right: 0;
    width: 40%;
    height: 38rem;
}

.tech {
    Margin-top: 2rem;
}

.tech-title {
    color: white;
    font-size: 4rem;
    margin-bottom: 1rem;
    text-align: center;
    width: 35vw;
    list-style: none;
    font-family: 'Gotham', sans-serif;
}

.tech-text {
    text-align: right;
    width: 100%;
}

.tech-text-header {
    position: absolute;
    top: 0;
    right: 4rem;
}

.tech-text-container {
    position: relative;
    display: flex;
}

.tech1-container {
    display: flex;
}

.tech1 {
    width: 100%;
    margin-top: 2rem;
}

.tech-text-inside {
    text-align: justify;
    width: 92%;
    font-size: 1.5rem;
}

.collapsible-section {
    cursor: pointer;
    display: grid;
    transition: all 300ms ease;
}

.collapsible-section:hover {
    padding: 1rem;
    flex: 1;
    background: rgba(20, 46, 29, 0.582) 0.1rem;
    border: rgb(255,255,255) 0.1rem solid;
    border-radius: 2rem;
    border-color: rgb(163, 163, 163);
    transition: all 300ms ease;
}

details::details-content {
    block-size: 0;
    overflow: hidden;
    transition: 
    block-size 0.5s,
    content-visibility 0.5s;
    transition-behavior: allow-discrete;
}

details[open]::details-content {
    block-size: auto;
}

.collapsible-section[open] > summary .tech-text {
    display: none;
}

/* TEAM SECTION */

#team {
    position: relative;
}

.team-container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto auto;
    justify-content: space-around;
    align-items: center;
    width: 100vw;
    height: 100vh;
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.team-member {
    display: flex;
    width: 450px;
    height: 350px;
    transition: 0.3s ease;
} 

.team-member:hover {
    transform: scale(1.1);
    transition: 0.3s ease;
}

.team-member-info {
    font-size: 1.5rem;
    margin-left: 2rem;
}

.team-title {
    color: white;
    font-size: 9rem;
    margin-bottom: 1rem;
    text-align: center;
    width: 3rem;
    line-height: 0.85;
}

/* DOCUMENTS SECTION */

#documents {
    position: relative;
}

.doc-title {
    color: white;
    position: center; 
    font-size: 7rem;
    margin-left: 4rem;
}

.documents-container {
    display: flex;
    justify-content: center; 
    gap: 2rem;
    height: 65vh;
    width: 95vw;
    object-fit: cover;
    margin: 0 auto;
}

.document {
    display: flex;
    height: 100%;
    flex: 1;
    object-fit: cover;
    transition: 0.3s ease;
}

.document:hover {
    transform: scale(1.1);
    transition: 0.3s ease;
}

.document-footers {
    display: flex;
    justify-content: center;
    gap: 20rem;
    margin-top: 1rem;
    word-spacing: -30px;
}

.doc-foot {
    color: white;
    font-size: 5rem;
}

.doc-foot:hover {
    color: rgb(163, 162, 162);
    text-decoration: underline;
    transition: 0.3s ease;
}

/* ICON SECTION */

.icon {
    cursor: pointer; 
    height: 2rem;
}

.arrow {
    position: absolute;
    right: 115rem;
}

.team-arrow-bottom {
    bottom: 6rem;
}

.team-arrow-top {
    top: 6rem;
}

.doc-arrow-top {
    top: 2.75rem;
    left: 1.25rem;
}

/* FADING IN */
.custom-fade {
    animation: fadeInPage 2s;
    animation-fill-mode: forwards;
}

@keyframes fadeInPage {
    0% { opacity: 0; }
    100% { opacity: 1; }
}


.fadeIn {
  animation-name: fadeIn;
  animation-duration: .5s;
  animation-fill-mode: forwards;
}

.fadeOut {
  animation-name: fadeOut;
  animation-duration: .5s;
  animation-fill-mode: forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

/* SCREEN SIZING */

@media screen and (max-width: 1400px) {
    #profile {
        height: 83vh;
        margin-bottom: 6rem;
    }

    .about-containers {
        flex-wrap: wrap;
    }

    #contact, #projects {
        height: fit-content;
    }
}
